// =========================================================
// Работа с компонентами Label
//
// (C) Фролов А.В, 1997
//
// E-mail: frolov@glas.apc.org
// WWW:    http://www.glasnet.ru/~frolov
//            или
//         http://www.dials.ccas.ru/frolov
// =========================================================
import java.applet.*;
import java.awt.*;

public class TextLabel extends Applet
{
  // Создаем ссылку на объекты типа Label
  Label lbTextLabel;

  // Создаем три ссылки на объекты типа Button
  Button btnLeft;
  Button btnCenter;
  Button btnRight;

	// -------------------------------------------------------
  // getAppletInfo
  // Метод, возвращающей строку информации об аплете
  // -------------------------------------------------------
	public String getAppletInfo()
	{
		return "Name: TextLabel\r\n" +
      "Author: Alexandr Frolov\r\n" +
      "E-mail: frolov@glas.apc.org" +
      "WWW:    http://www.glasnet.ru/~frolov" +
      "Created with Microsoft Visual J++ Version 1.0";
	}

	// -------------------------------------------------------
  // init
  // Метод, получающий управление при инициализации аплета
  // -------------------------------------------------------
	public void init()
	{
    // Создаем компоненту Label
    lbTextLabel = new Label("Выберите выравнивание");

    // Создаем три кнопки
    btnLeft   = new Button("Влево");
    btnCenter = new Button("Центровка");
    btnRight  = new Button("Вправо");

    // Добавляем три кнопки
    add(btnLeft);
    add(btnCenter);
    add(btnRight);

    // Добавляем компоненту Label
    add(lbTextLabel);

    // Устанавливаем цвет фона
    setBackground(Color.yellow);
}

  // -------------------------------------------------------
  // action
  // Метод вызывается, когда пользователь выполняет
  // действие над компонентами
  // -------------------------------------------------------
  public boolean action(Event evt, Object obj)
  {
    // Ссылка на кнопку, от которой пришло сообщение
    Button btn;

    // Проверяем, что событие вызвано кнопкой, а не
    // другим компонентом
    if(evt.target instanceof Button)
    {
      // Получам ссылку на кнопку, вызвавшую событие
      btn = (Button)evt.target;

      // Выполняем ветвление по кнопкам
      if(evt.target.equals(btnLeft))
      {
        // Выравниваем текст компоненты Label по левой границе
        lbTextLabel.setAlignment(Label.LEFT);
      }

      else if(evt.target.equals(btnCenter))
      {
        // Центруем текст компоненты Label 
        lbTextLabel.setAlignment(Label.CENTER);
      }

      else if(evt.target.equals(btnRight))
      {
        // Выравниваем текст компоненты Label по правой границе
        lbTextLabel.setAlignment(Label.RIGHT);
      }
      
      // Если событие возникло от неизвестной кнопки,
      // мы его не обрабатываем
      else
      {
        return false;
      }

      // Возвращаем признак того, что мы обработали событие
      return true;
    }

    // Если событие вызвано не кнопкой, 
    // мы его не обрабатываем
    return false;
  }
      
  // -------------------------------------------------------
  // paint
  // Метод paint, выполняющий рисование в окне аплета
  // -------------------------------------------------------
  public void paint(Graphics g)
	{
    // Определяем текущие размеры окна аплета
    Dimension dimAppWndDimension = size();
    
    // Выбираем в контекст отображения черный цвет
    g.setColor(Color.black);

    // Рисуем рамку вокруг окна аплета
    g.drawRect(0, 0, 
      dimAppWndDimension.width  - 1, 
      dimAppWndDimension.height - 1);
	}
}
